Subject: Re: [PATCH v7 4/4] notes: teach git-notes about notes.<ref>.mergestrategy option

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Aug 2015 10:33:35 -0700

Jacob Keller <[email-masked]> writes:

> How do you feel about having the duplicate check for the short_ref? We
> *already* check this inside init_notes_check() which is called right
> after this.

I thought you were trying to enforce a new rule (i.e. must be under
"refs/notes/") with this, but it isn't.  It is "we are going to
strip the prefix known to us, just make sure the caller did not feed
us something bogus" safety, and the placement of this new check in
your patch (i.e. only when strategy was not given so we need to
check which short-ref we are dealing with) is the best place.

Thanks.